[ceph-users] CephFS kernel client versions - pg-upmap

Stefan Kooman stefan at bit.nl
Thu Nov 8 08:10:09 PST 2018


Quoting Stefan Kooman (stefan at bit.nl):
> I'm pretty sure it isn't. I'm trying to do the same (force luminous
> clients only) but ran into the same issue. Even when running 4.19 kernel
> it's interpreted as a jewel client. Here is the list I made so far:
> 
> Kernel 4.13 / 4.15:
>             "features": "0x7010fb86aa42ada",
>                         "release": "jewel"
> 
> kernel 4.18 / 4.19
>              "features": "0x27018fb86aa42ada",
>                          "release": "jewel"

On a test cluster with kernel clients 4.13, 4.15, 4.19 I have set the
"ceph osd set-require-min-compat-client luminous --yes-i-really-mean-it"
while doing active IO ... no issues. Remount also works ... makes me
wonder how strict this "require-min-compat-client" is ...

Gr. Stefan

-- 
| BIT BV  http://www.bit.nl/        Kamer van Koophandel 09090351
| GPG: 0xD14839C6                   +31 318 648 688 / info at bit.nl


More information about the ceph-users mailing list